Subject: Re: [dhcwg] WG Adoption Call - draft-dhcwg-dhc-rfc3315bis-04 - Concludes March 9, 2015

From: "Bernie Volz (volz)" <[email-masked]>
Date: Wed, 4 Mar 2015 13:17:37 +0000

Reminder that this adoption call concludes March 9th.

I haven't seen anyone comment on whether the DHC WG should adopt this document. We need SOME indication that people are in favor of having the WG adopt this document.

I am in favor of having the WG adopt this work - but as I am a co-author on the document, that is not a surprise.

-          Bernie

From: dhcwg [mailto:[email-masked]] On Behalf Of Bernie Volz (volz)
Sent: Sunday, February 22, 2015 4:16 PM
To: [email-masked]
Subject: [dhcwg] WG Adoption Call - draft-dhcwg-dhc-rfc3315bis-04 - Concludes March 9, 2015

Hi:

As you all know, the work to update the DHCPv6 specs, mainly RFC3315 and RFC3633, has been going for some time. The design team involved in this work believes that it's a good time to ask for adoption of this work.

The document - draft-dhcwg-dhc-rfc3315bis-04 (https://tools.ietf.org/html/draft-dhcwg-dhc-rfc3315bis) - started from a XMLized copy of RFC3315 (see the -00 draft). Most of the text from RFC3633 was merged (note: there are still missing pieces) there. A significant number of corrections, clarifications and smaller edits were made. The changes are documented in appendices A and B. They often mention ticket numbers. Those tickets can be reviewed and commented at http://wiki.tools.ietf.org/group/dhcpv6bis/.

As both DHC WG chairs, DHC secretary, and current AD are co-authors of this draft, we'll not be able to assess consensus on our own. We will consult with our AD to determine the best course of action. In any case, the adoption call consensus will be determined shortly after end of day March 9th. (Though if there are no objections, the consensus is clear.)

Keep in mind that this is a work well in progress with lots of outstanding things to do. The question here is whether this is the direction we, as a working group, want to take.

There's also an additional question if you support adoption. Every time a ticket is added, modified or commented in the issue tracker, there's a mail notification. Currently such notifications are sent to the dhcpv6bis mailing list. You can review those here:

http://www.ietf.org/mail-archive/web/dhcpv6bis/current/maillist.html. If you want those notifications to be sent to the DHC rather than dhcpv6bis list, please say so.

-          Bernie & Tomek

---

From: Ted Lemon <[email-masked]>
Date: Wed, 4 Mar 2015 10:05:11 -0500

On Mar 4, 2015, at 8:17 AM, Bernie Volz (volz) <[email-masked]> wrote:
> I haven’t seen anyone comment on whether the DHC WG should adopt this document. We need SOME indication that people are in favor of having the WG adopt this document.
>  
> I am in favor of having the WG adopt this work – but as I am a co-author on the document, that is not a surprise.

I'm going to expound at length on this on the mailing list because I think that every working group participant should be aware of this, and it concerns me that I see calls for adoption phrased this way on a regular basis.

The working group chairs do not need the permission of the working group to adopt the document.   The point of a call for adoption is to see if anyone objects.   Dead silence means the document is adopted, because nobody objected.   We do not want to see content-free expressions of support, because the IETF doesn't vote, and expressions of support are votes.

The working group is chartered to do this work.   The work already has consensus, unless someone objects.   This will be true of the last call as well.   The one difference with the last call is that it would be worrisome of the document didn't have significant qualified review, because it's an important document for the working group which we hope to move to Internet Standard.   But for adoption, the fact that we have a design team with ~five active working group participants working on the document, and that it's in the charter, is all that really needs to be said unless someone objects.   We've seen how objections are handled with the discussion of the sedhcpv6 draft: we've had a pretty much textbook drill-down discussion on that in recent weeks based on an objection that was raised.

If this all sounds very informal and vague, you might want to read RFC 2418.   It doesn't even mention working group adoption, and allows for documents to pass working group last call for a variety of reasons.   It would also be worth reading RFC 7282, which talks at length about the IETF consensus process.

Anyway, sorry for making you the recipient of a public lecture, Bernie, but it seemed like a good opportunity to revisit how working groups operate with respect to drafts.

Bernie also raised the good question of how to do the last call consensus call given that the working group chairs, ad and secretary are all editors on the document.   The answer is, just do the consensus call.   Explain how you arrived at your conclusion.   Make it clear to the working group and to the new AD, Terry, the potential for conflict of interest, and the correct avenue for protest if someone thinks the call was done wrong because of that conflict of interest.

It is entirely appropriate, and indeed is the duty of a working group participant who is not comfortable with the outcome of the consensus call to raise it with Terry, and I am explicitly urging you to do this.   I've known Bernie and Tomek for a long time and have complete confidence in their ability to avoid being biased in making the consensus call, but working group participants should all feel comfortable with the consensus process.   I expect Terry to look closely at the consensus process for this document even if nobody explicitly asks him to.   Well, I guess I'm explicitly asking him to.   :)

---

From: "Templin, Fred L" <[email-masked]>
Date: Wed, 4 Mar 2015 15:09:23 +0000

Please adopt this document as a wg item.

Thanks - Fred
[email-masked]

From: dhcwg [mailto:[email-masked]] On Behalf Of Bernie Volz (volz)
Sent: Wednesday, March 04, 2015 5:18 AM
To: [email-masked]
Subject: Re: [dhcwg] WG Adoption Call - draft-dhcwg-dhc-rfc3315bis-04 - Concludes March 9, 2015
Importance: High

-          Bernie

From: dhcwg [mailto:[email-masked]] On Behalf Of Bernie Volz (volz)
Sent: Sunday, February 22, 2015 4:16 PM
To: [email-masked]<mailto:[email-masked]>
Subject: [dhcwg] WG Adoption Call - draft-dhcwg-dhc-rfc3315bis-04 - Concludes March 9, 2015

Hi:

-          Bernie & Tomek

---

From: "STARK, BARBARA H" <[email-masked]>
Date: Thu, 5 Mar 2015 00:53:53 +0000

+1 for adoption
This draft is wonderful and much needed. Thanks so much for doing it.
As to the "additional question" -- as I parse through the ~100 emails that arrived in my inbox overnight, I'm not feeling a strong desire for notifications to go to dhc instead of or in addition to dhcpv6bis.
Barbara

Thanks - Fred
[email-masked]<mailto:[email-masked]>

-          Bernie

Hi:

-          Bernie & Tomek

---

From: Sheng Jiang <[email-masked]>
Date: Thu, 5 Mar 2015 01:18:44 +0000

I am in favor of adopt this work as a coauthor. This work is a chartered work item and we have an active design team with 5 very active members. We have put significant efforts on this work in last SIXTEEN MONTHS! What we have done is not only combining the published RFCs together, but also fixing any known issues and try our best to improve EVERYTHING that we can count.

Best regards,

Sheng

From: dhcwg [mailto:[email-masked]] On Behalf Of Bernie Volz (volz)
Sent: Wednesday, March 04, 2015 9:18 PM
To: [email-masked]
Subject: Re: [dhcwg] WG Adoption Call - draft-dhcwg-dhc-rfc3315bis-04 - Concludes March 9, 2015
Importance: High

-        Bernie

Hi:

-        Bernie & Tomek

---

From: Timothy Winters <[email-masked]>
Date: Wed, 4 Mar 2015 20:29:33 -0500

Hello,
	I’m also in favor of adopting this document as a working group document.  It has important changes to help improve interoperability.

~Tim

> On Mar 4, 2015, at 7:53 PM, STARK, BARBARA H <[email-masked]> wrote:
> 
> +1 for adoption
> As to the “additional question” -- as I parse through the ~100 emails that arrived in my inbox overnight, I’m not feeling a strong desire for notifications to go to dhc instead of or in addition to dhcpv6bis.
> Barbara
>  
> Thanks – Fred
> [email-masked] <mailto:[email-masked]>
>  
> From: dhcwg [mailto:[email-masked] <mailto:[email-masked]>] On Behalf Of Bernie Volz (volz)
> To: [email-masked] <mailto:[email-masked]>
> From: dhcwg [mailto:[email-masked] <mailto:[email-masked]>] On Behalf Of Bernie Volz (volz)
> To: [email-masked] <mailto:[email-masked]>
> The document - draft-dhcwg-dhc-rfc3315bis-04 (https://tools.ietf.org/html/draft-dhcwg-dhc-rfc3315bis <https://tools.ietf.org/html/draft-dhcwg-dhc-rfc3315bis>) - started from a XMLized copy of RFC3315 (see the -00 draft). Most of the text from RFC3633 was merged (note: there are still missing pieces) there. A significant number of corrections, clarifications and smaller edits were made. The changes are documented in appendices A and B. They often mention ticket numbers. Those tickets can be reviewed and commented athttp://wiki.tools.ietf.org/group/dhcpv6bis/ <http://wiki.tools.ietf.org/group/dhcpv6bis/>.
>  
> http://www.ietf.org/mail-archive/web/dhcpv6bis/current/maillist.html <http://www.ietf.org/mail-archive/web/dhcpv6bis/current/maillist.html>. If you want those notifications to be sent to the DHC rather than dhcpv6bis list, please say so.
>  
> -          Bernie & Tomek
>  
> _______________________________________________
> dhcwg mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dhcwg

---

From: Ralph Droms <[email-masked]>
Date: Wed, 4 Mar 2015 20:36:50 -0500

I support adoption of draft-dhcwg-dhc-rfc3315bis-04 as a dhc WG document.

This author of RFC 3315 thanks you for taking on the task.

- Ralph